{-------------------------------------------------------------}
{
{    Webvox - Módulo de configuração
{
{    Autor: Jose' Antonio Borges
{
{    Em 18/12/99
{
{-------------------------------------------------------------}

unit webConf;

interface
uses dvcrt, dvWin, dvInet, strings, winsock,
     webVars, webMsg;

procedure configura;

implementation

{-------------------------------------------------------------}
{                   obtem um cookie
{-------------------------------------------------------------}

procedure configura;
var c, c2: char;
    s: string;
begin
    mensagem ('WBVELFAL', 0);    {'Qual a velocidade de fala ? De 1 a 4 '}
    sintLeTecla (c, c2);
    writeln;
    if c in ['1'..'5'] then
        begin
            sintFim;
            sintInic (ord(c) - ord('0'), sintambiente ('WEBVOX', 'DIRWEBVOX'));
        end;

    mensagem ('WBFALAPT', 0);    {'Fala pontuação ? '}
    sintLeTecla (c, c2);
    writeln;
    falandoPontuacao := upcase(c) = 'S';

    mensagem ('WBNIVINF', 0);   {'Escolha o nível da informação: texto, resumido, normal ou detalhado '}
    sintLeTecla (c, c2);
    writeln;

    modoFala := upcase(c);
    case modoFala of
       'T', 'R':
              prepSonsTags ('');

       'N':   begin
                  s := sintAmbiente ('WEBVOX', 'AMBWEBTAGS');
                  if s = '' then s := 'c:\winvox\webtags.ini';
                  prepSonsTags (s);
              end;
       'D':   begin
                  s := sintAmbiente ('WEBVOX', 'AMBWEBTAGS2');
                  if s = '' then s := 'c:\winvox\webtags2.ini';
                  prepSonsTags (s);
              end;
    end;
end;

end.
